
ISIS - Bug #4528

Feature # 4450 (Acknowledged): Add new operating systems to the installer and docs

Spike: Research the ISIS installers

2016-11-10 11:10 AM - Jason Laura

Status: Closed   

Priority: Normal   

Assignee: Ian Humphrey   

Category: Infrastructure   

Target version: FY17 Sprint 3   

Impact: No impact on ISIS code base. Installer

will support new OS's

Software Version:  

Description

Understanding of the build installer.

DoD on this ticket:

* How setup needs to change for the new OSes.

* Document addressing what needs to be done.

* Listing what XML files need to be updated.

* Listing OSes to be picked up.

*  All Java :(

* 

History

#1 - 2016-11-10 11:11 AM - Jason Laura

- Status changed from New to Acknowledged

- Target version changed from FY17 Backlog to FY17 Sprint 3

#2 - 2016-11-13 11:34 AM - Ian Humphrey

- Category set to Infrastructure

- Assignee set to Ian Humphrey

#3 - 2016-11-13 02:36 PM - Ian Humphrey

- Status changed from Acknowledged to In Progress

#4 - 2016-11-15 01:58 PM - Ian Humphrey

- File 4528InstallerDeliverable.pdf added

- Status changed from In Progress to Resolved

- Impact updated

Skeleton-code changes at:

/work/projects/isis/latest/m04528

These code changes affect

m04528/installer/isis3/install.core.xml

and m04528/installer/isis3/resources/userInputSpec.xml

In the work directory, there is a 4528InstallerDeliverable.pdf that details the process for updating the installer for new OS's.

Some issues I've noticed with the installer GUI interface:

On prog21 with GNOME, the first panel cuts off the Version Check text at the bottom.

(isis3mgr/installer/izpack/src/lib/com/izforge/izpack/panels/IsisHelloPanel.java)
On prog21 with GNOME, on the panel where you can select which packs to install, checking and un-checking the Isis package does not update

its size description.

(isis3mgr/installer/izpack/src/lib/com/izforge/izpack/panels/TreePacksPanel.java)

To edit the pdf, or if you have any questions, send me an email and I can share the document with you.

If need be, this document can be ported to a more centralized location.

#5 - 2016-11-18 06:12 AM - Stuart Sides

- Status changed from Resolved to Closed

Files

4528InstallerDeliverable.pdf 116 KB 2016-11-15 Ian Humphrey
